%global release_name liberty
%global service neutron

%{!?upstream_version: %global upstream_version %{version}}

Name:		openstack-%{service}
Version:	7.2.0
Release:	23%{?dist}
Epoch:		1
Summary:	OpenStack Networking Service

License:	ASL 2.0
URL:		http://launchpad.net/%{service}/

Source0:    https://tarballs.openstack.org/%{service}/%{service}-%{upstream_version}.tar.gz

Source1:	%{service}.logrotate
Source2:	%{service}-sudoers
Source10:	neutron-server.service
Source11:	neutron-linuxbridge-agent.service
Source12:	neutron-openvswitch-agent.service
Source15:	neutron-dhcp-agent.service
Source16:	neutron-l3-agent.service
Source17:	neutron-metadata-agent.service
Source18:	neutron-ovs-cleanup.service
Source19:	neutron-mlnx-agent.service
Source20:	neutron-metering-agent.service
Source21:	neutron-sriov-nic-agent.service
Source22:	neutron-netns-cleanup.service
Source23:	neutron-netns-cleanup.init
Source24:	neutron-ovs-cleanup.init
Source25:	NetnsCleanup.ocf_ra
Source26:	OVSCleanup.ocf_ra
Source27:	NeutronScale.ocf_ra
Source28:	neutron-dev-server.service
Source29:	neutron-rpc-server.service

Source30:	%{service}-dist.conf
Source31:	conf.README
Source33:       neutron-enable-bridge-firewall.sh
Source34:       neutron-l2-agent-sysctl.conf
# We use the legacy service to load modules because it allows to gracefully
# ignore a missing kernel module (f.e. br_netfilter on earlier kernels). It's
# essentially because .modules files are shell scripts.
Source35:       neutron-l2-agent.modules

#
# patches_base=+1
#
Patch0001: 0001-Add-vhost-user-support-via-ovs-capabilities-datapath.patch
Patch0002: 0002-Removed-neutronclient-option-from-metadata-agent.patch
Patch0003: 0003-Fix-for-ofport-query-retries-during-neutron-agent-st.patch
Patch0004: 0004-Revert-Revert-Remove-threading-before-process-forkin.patch
Patch0005: 0005-Catch-DBReferenceError-in-HA-router-race-conditions.patch
Patch0006: 0006-Make-L3-HA-interface-creation-concurrency-safe.patch
Patch0007: 0007-Add-ALLOCATING-state-to-routers.patch
Patch0008: 0008-Move-state-reporting-initialization-to-after-worker-.patch
Patch0009: 0009-Convert-multiple-exception-types-in-the-API.patch
Patch0010: 0010-Support-for-MultipleExceptions-in-db_api-decorators.patch
Patch0011: 0011-Check-for-StaleData-errors-in-retry-decorator.patch
Patch0012: 0012-ml2-allow-retry-on-retriabable-db-error-by-precommit.patch
Patch0013: 0013-Ignore-gre0-and-gretap0-devices-in-netns-cleanup-scr.patch
Patch0014: 0014-Reset-provider-network-bridges-to-standalone-fail-mo.patch
Patch0015: 0015-Move-class-properties-to-instances-for-dhcp-tests.patch
Patch0016: 0016-Add-169.254.169.254-when-enable-force_metadata.patch
Patch0017: 0017-Update-metadata-proxy-when-subnet-add-delete.patch
Patch0018: 0018-Avoid-duplicate-ipset-processing-for-security-groups.patch
Patch0019: 0019-Make-keepalived-add_vip-idempotent.patch
Patch0020: 0020-Adding-state_change_server_threads-to-l3_agent.ini.patch
Patch0021: 0021-LinuxBridge-Pass-host-into-get_devices_details_list.patch
Patch0022: 0022-DHCP-enhance-DHCPAgent-startup-procedure.patch
Patch0023: 0023-Throttle-SIGHUPs-to-keepalived.patch
Patch0024: 0024-l2pop-fdb-flows-for-HA-router-ports.patch
Patch0025: 0025-Get-rid-of-delete_subnet-method-in-ML2.patch
Patch0026: 0026-Add-http_proxy_to_wsgi-to-api-paste.patch
Patch0027: 0027-Neutron-versions-api-now-has-its-own-middleware-pipe.patch
Patch0028: 0028-Avoid-router-ri.process-if-initialize-fails.patch
Patch0029: 0029-Wait-2-seconds-between-gratuitous-ARP-updates-instea.patch
Patch0030: 0030-Fix-typo-in-l3-agent-test.patch
Patch0031: 0031-Do-not-accept-abbreviated-CIDRs.patch
Patch0032: 0032-Functional-tests-change-assert-to-wait_until_true.patch
Patch0033: 0033-Fix-test_keepalived_ipv6_support-for-Keepalived-v1.2.patch
Patch0034: 0034-Skip-larger-than-64-subnets-in-DHCP-agent.patch
Patch0035: 0035-Don-t-depend-on-translated-strings-for-error-check.patch
Patch0036: 0036-Make-use-of-w-argument-for-iptables-calls.patch

BuildArch:	noarch

BuildRequires:	git
BuildRequires:	python2-devel
BuildRequires:	python-d2to1
BuildRequires:	python-pbr
BuildRequires:	python-pecan
BuildRequires:	python-setuptools
BuildRequires:	systemd-units

Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}

# dnsmasq is not a hard requirement, but is currently the only option
# when neutron-dhcp-agent is deployed.
Requires:	dnsmasq
Requires:	dnsmasq-utils

# radvd is not a hard requirement, but is currently the only option
# for IPv6 deployments.
Requires:	radvd

# dibbler is not a hard requirement, but is currently the default option
# for IPv6 prefix delegation.
Requires:	dibbler-client

# conntrack is not a hard requirement, but is currently used by L3 agent
# to immediately drop connections after a floating IP is disassociated
Requires:	conntrack-tools

# keepalived is not a hard requirement, but is currently used by DVR L3
# agent
Requires:	keepalived

# Those are not hard requirements, ipset is used by ipset-cleanup in the subpackage,
# and iptables is used by the l3-agent which currently is not in a separate package.
Requires:	ipset
Requires:	iptables

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
Neutron is a virtual network service for Openstack. Just like
OpenStack Nova provides an API to dynamically request and configure
virtual servers, Neutron provides an API to dynamically request and
configure virtual networks. These networks connect "interfaces" from
other OpenStack services (e.g., virtual NICs from Nova VMs). The
Neutron API supports extensions to provide advanced network
capabilities (e.g., QoS, ACLs, network monitoring, etc.)


%package -n python-%{service}
Summary:	Neutron Python libraries
Requires:	MySQL-python
Requires:	python-alembic >= 0.8.0
Requires:	python-debtcollector >= 0.3.0
Requires:	python-eventlet >= 0.17.4
Requires:	python-greenlet >= 0.3.2
Requires:	python-httplib2 >= 0.7.5
Requires:	python-jinja2 >= 2.6
Requires:	python-keystoneclient >= 1.6.0
Requires:	python-keystonemiddleware >= 2.0.0
Requires:	python-netaddr >= 0.7.12
Requires:	python-neutronclient >= 2.6.0
Requires:	python-novaclient >= 2.28.1
Requires:	python-oslo-concurrency >= 2.3.0
Requires:	python-oslo-config >= 2:2.3.0
Requires:	python-oslo-context >= 0.2.0
Requires:	python-oslo-db >= 2.4.1
Requires:	python-oslo-i18n >= 1.5.0
Requires:	python-oslo-log >= 1.8.0
Requires:	python-oslo-messaging >= 1.16.0
Requires:	python-oslo-middleware >= 2.8.0
Requires:	python-oslo-policy >= 0.5.0
Requires:	python-oslo-rootwrap >= 2.0.0
Requires:	python-oslo-serialization >= 1.4.0
Requires:	python-oslo-service >= 0.7.0
Requires:	python-oslo-utils >= 2.0.0
Requires:	python-oslo-versionedobjects >= 0.9.0
Requires:	python-oslo-context >= 0.2.0
Requires:	python-paste
Requires:	python-paste-deploy >= 1.5.0
Requires:	python-pecan >= 1.0.0
Requires:	python-pbr
Requires:	python-requests >= 2.5.2
Requires:	python-retrying >= 1.2.3
Requires:	python-routes >= 1.12.3
Requires:	python-ryu >= 3.23.2
Requires:	python-six >= 1.9.0
Requires:	python-sqlalchemy >= 0.9.7
Requires:	python-stevedore >= 1.5.0
Requires:	python-webob >= 1.2.3


%description -n python-%{service}
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron Python library.


%package -n python-%{service}-tests
Summary:	Neutron tests
Requires:	openstack-%{service} = %{epoch}:%{version}-%{release}
# don't require ddt because it's needed for api tests only that we don't gate
# on, and we don't ship it
#Requires:       python-ddt >= 0.7.0
# don't require >= 1.3.1 because we ship older version that is enough for CI
#Requires:       python-fixtures >= 1.3.1
Requires:       python-fixtures
# don't require >= 1.2 because we ship 1.1 only, and it's enough for our CI
#Requires:       python-mock >= 1.2
Requires:       python-mock
Requires:       python-subunit >= 0.0.18
# don't require because it's not used by any test in tree
#Requires:       python-requests-mock >= 0.6.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testtools >= 1.4.0
Requires:       python-testresources >= 0.2.4
Requires:       python-testscenarios >= 0.4
# don't require oslotest because it's not shipped for OSP, and it's needed to
# run functional tests in CI, where we install the package from overrides
#Requires:       python-oslotest >= 1.10.0
Requires:       python-os-testr >= 0.1.0
# don't use minimal version specifications from upstream because they are not
# satisfied in OSP; it should be safe to do because we don't really need those
# minimal versions to pass tests
#Requires:       python-webtest >= 2.0
Requires:       python-webtest
Requires:       python-tempest-lib >= 0.8.0
Requires:       python-PyMySQL >= 0.6.2

# pstree is used during functional testing to ensure our internal
# libraries managing processes work correctly.
Requires:       psmisc


%description -n python-%{service}-tests
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains Neutron test files.


%package common
Summary:	Neutron common files
Requires(pre):	shadow-utils
Requires:	python-%{service} = %{epoch}:%{version}-%{release}
Requires:	sudo


%description common
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains Neutron common files.


%package bigswitch
Summary:	Neutron Big Switch plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description bigswitch
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using the FloodLight Openflow Controller or the Big Switch
Networks Controller.


%package brocade
Summary:	Neutron Brocade plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}
Requires:	python-ncclient


%description brocade
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using Brocade VCS switches running NOS.


%package cisco
Summary:	Neutron Cisco plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}
Requires:	python-ncclient


%description cisco
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using Cisco UCS and Nexus.


%package dev-server
Summary:	Neutron Server (WSGI pecan)
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description dev-server
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains an alternative Neutron server implementation that uses
pecan library as its WSGI backend.


%package embrane
Summary:	Neutron Embrane plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description embrane
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
L3-L7 network services using Embrane's heleos platform.


%package linuxbridge
Summary:	Neutron linuxbridge plugin
Requires:	bridge-utils
Requires:	ebtables
Requires:	ipset
Requires:	iptables
# kmod is needed to get access to /usr/sbin/modprobe needed by
# neutron-enable-bridge-firewall.sh triggered by the service unit file
Requires:       kmod
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description linuxbridge
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks as VLANs using Linux bridging.


%package mellanox
Summary:	Neutron Mellanox plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description mellanox
This plugin implements Neutron v2 APIs with support for Mellanox embedded
switch functionality as part of the VPI (Ethernet/InfiniBand) HCA.


%package ml2
Summary:	Neutron ML2 plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}
# needed for brocade and cisco drivers
Requires:	python-ncclient


%description ml2
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains a Neutron plugin that allows the use of drivers
to support separately extensible sets of network types and the mechanisms
for accessing those types.


%package nuage
Summary:	Neutron Nuage plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description nuage
This plugin implements Neutron v2 APIs with support for Nuage Networks
Virtual Service Platform (VSP).


%package ofagent
Summary:	Neutron ofagent plugin from ryu project
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description ofagent
This plugin implements Neutron v2 APIs with support for the ryu ofagent
plugin.


%package oneconvergence-nvsd
Summary:	Neutron One Convergence NVSD plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description oneconvergence-nvsd
Neutron provides an API to dynamnically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using One Convergence NVSD


%package opencontrail
Summary:	Neutron OpenContrail plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description opencontrail
This plugin implements Neutron v2 APIs with support for the OpenContrail
plugin.


%package openvswitch
Summary:	Neutron openvswitch plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}
# We require openvswitch when using vsctl to access ovsdb;
# but if we use native access, then we just need python bindings.
# since we don't know what users actually use, we depend on both.
Requires:	ipset
Requires:	iptables
Requires:	openvswitch
Requires:	python-openvswitch
# kmod is needed to get access to /usr/sbin/modprobe needed by
# neutron-enable-bridge-firewall.sh triggered by the service unit file
Requires:       kmod


%description openvswitch
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using Open vSwitch.


%package ovsvapp
Summary:	Neutron OVSvApp vSphere plugin
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description ovsvapp
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the Neutron plugin that implements virtual
networks using OVSvApp vSphere L2 agent.


%package metering-agent
Summary:	Neutron bandwidth metering agent
Requires:	iptables
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description metering-agent
Neutron provides an API to measure bandwidth utilization

This package contains the Neutron agent responsible for generating bandwidth
utilization notifications.


%package rpc-server
Summary:	Neutron (RPC only) Server
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description rpc-server
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains an alternative Neutron server that handles AMQP RPC
workload only.


%package sriov-nic-agent
Summary:	Neutron SR-IOV NIC agent
Requires:	openstack-%{service}-common = %{epoch}:%{version}-%{release}


%description sriov-nic-agent
Neutron allows to run virtual instances using SR-IOV NIC hardware

This package contains the Neutron agent to support advanced features of
SR-IOV network cards.


%prep
%autosetup -n %{service}-%{upstream_version} -S git

find %{service} -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

# Let's handle dependencies ourseleves
rm -f requirements.txt

# Kill egg-info in order to generate new SOURCES.txt
rm -rf neutron.egg-info


%build
export SKIP_PIP_INSTALL=1
%{__python2} setup.py build

# Loop through values in neutron-dist.conf and make sure that the values
# are substituted into the neutron.conf as comments. Some of these values
# will have been uncommented as a way of upstream setting defaults outside
# of the code. For notification_driver, there are commented examples
# above uncommented settings, so this specifically skips those comments
# and instead comments out the actual settings and substitutes the
# correct default values.
while read name eq value; do
  test "$name" && test "$value" || continue
  if [ "$name" = "notification_driver" ]; then
    sed -ri "0,/^$name *=/{s!^$name *=.*!# $name = $value!}" etc/%{service}.conf
  else
    sed -ri "0,/^(#)? *$name *=/{s!^(#)? *$name *=.*!# $name = $value!}" etc/%{service}.conf
  fi
done < %{SOURCE30}

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Remove unused files
rm -rf %{buildroot}%{python2_sitelib}/bin
rm -rf %{buildroot}%{python2_sitelib}/doc
rm -rf %{buildroot}%{python2_sitelib}/tools
rm %{buildroot}/usr/etc/init.d/neutron-server

# Move rootwrap files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/%{service}/rootwrap
mv %{buildroot}/usr/etc/%{service}/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/%{service}/rootwrap

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}
mv %{buildroot}/usr/etc/%{service}/* %{buildroot}%{_sysconfdir}/%{service}
mv %{buildroot}%{_sysconfdir}/%{service}/api-paste.ini %{buildroot}%{_datadir}/%{service}/api-paste.ini
chmod 640 %{buildroot}%{_sysconfdir}/%{service}/plugins/*/*.ini

# Install logrotate
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-%{service}

# Install sudoers
install -p -D -m 440 %{SOURCE2} %{buildroot}%{_sysconfdir}/sudoers.d/%{service}

# Install systemd units
install -p -D -m 644 %{SOURCE10} %{buildroot}%{_unitdir}/neutron-server.service
install -p -D -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/neutron-linuxbridge-agent.service
install -p -D -m 644 %{SOURCE12} %{buildroot}%{_unitdir}/neutron-openvswitch-agent.service
install -p -D -m 644 %{SOURCE15} %{buildroot}%{_unitdir}/neutron-dhcp-agent.service
install -p -D -m 644 %{SOURCE16} %{buildroot}%{_unitdir}/neutron-l3-agent.service
install -p -D -m 644 %{SOURCE17} %{buildroot}%{_unitdir}/neutron-metadata-agent.service
install -p -D -m 644 %{SOURCE18} %{buildroot}%{_unitdir}/neutron-ovs-cleanup.service
install -p -D -m 644 %{SOURCE19} %{buildroot}%{_unitdir}/neutron-mlnx-agent.service
install -p -D -m 644 %{SOURCE20} %{buildroot}%{_unitdir}/neutron-metering-agent.service
install -p -D -m 644 %{SOURCE21} %{buildroot}%{_unitdir}/neutron-sriov-nic-agent.service
install -p -D -m 644 %{SOURCE22} %{buildroot}%{_unitdir}/neutron-netns-cleanup.service
install -p -D -m 644 %{SOURCE28} %{buildroot}%{_unitdir}/neutron-dev-server.service
install -p -D -m 644 %{SOURCE29} %{buildroot}%{_unitdir}/neutron-rpc-server.service

# Install helper scripts
install -p -D -m 755 %{SOURCE33} %{buildroot}%{_bindir}/neutron-enable-bridge-firewall.sh

# Install scripts for pacemaker support
install -p -D -m 755 %{SOURCE23} %{buildroot}%{_prefix}/lib/ocf/lib/neutron/neutron-netns-cleanup
install -p -D -m 755 %{SOURCE24} %{buildroot}%{_prefix}/lib/ocf/lib/neutron/neutron-ovs-cleanup
install -p -D -m 755 %{SOURCE25} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/NetnsCleanup
install -p -D -m 755 %{SOURCE26} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/OVSCleanup
install -p -D -m 755 %{SOURCE27} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/NeutronScale

# Install sysctl and modprobe config files to enable bridge firewalling
# NOTE(ihrachys) we effectively duplicate same settings for each affected l2
# agent. This can be revisited later.
install -p -D -m 644 %{SOURCE34} %{buildroot}%{_sysctldir}/99-neutron-openvswitch-agent.conf
install -p -D -m 644 %{SOURCE34} %{buildroot}%{_sysctldir}/99-neutron-linuxbridge-agent.conf
install -p -D -m 755 %{SOURCE35} %{buildroot}%{_sysconfdir}/sysconfig/modules/neutron-openvswitch-agent.modules
install -p -D -m 755 %{SOURCE35} %{buildroot}%{_sysconfdir}/sysconfig/modules/neutron-linuxbridge-agent.modules

# Install README file that describes how to configure services with custom configuration files
install -p -D -m 755 %{SOURCE31} %{buildroot}%{_sysconfdir}/%{service}/conf.d/README

# Setup directories
install -d -m 755 %{buildroot}%{_datadir}/%{service}
install -d -m 755 %{buildroot}%{_sharedstatedir}/%{service}
install -d -m 755 %{buildroot}%{_localstatedir}/log/%{service}
install -d -m 755 %{buildroot}%{_localstatedir}/run/%{service}

# Install dist conf
install -p -D -m 640 %{SOURCE30} %{buildroot}%{_datadir}/%{service}/%{service}-dist.conf

# Create and populate configuration directory for L3 agent that is not accessible for user modification
mkdir -p %{buildroot}%{_datadir}/%{service}/l3_agent
ln -s %{_sysconfdir}/%{service}/l3_agent.ini %{buildroot}%{_datadir}/%{service}/l3_agent/l3_agent.conf

# Create dist configuration directory for neutron-server (may be filled by advanced services)
mkdir -p %{buildroot}%{_datadir}/%{service}/server

# Create configuration directories for all services that can be populated by users with custom *.conf files
mkdir -p %{buildroot}/%{_sysconfdir}/%{service}/conf.d/common
for service in server dev-server rpc-server ovs-cleanup netns-cleanup; do
    mkdir -p %{buildroot}/%{_sysconfdir}/%{service}/conf.d/%{service}-$service
done
for service in linuxbridge openvswitch dhcp l3 metadata mlnx metering sriov-nic; do
    mkdir -p %{buildroot}/%{_sysconfdir}/%{service}/conf.d/%{service}-$service-agent
done

# Kill hyperv agent since it's of no use for Linux
rm %{buildroot}/%{_bindir}/neutron-hyperv-agent


%pre common
getent group %{service} >/dev/null || groupadd -r %{service}
getent passwd %{service} >/dev/null || \
    useradd -r -g %{service} -d %{_sharedstatedir}/%{service} -s /sbin/nologin \
    -c "OpenStack Neutron Daemons" %{service}
exit 0


%post
%systemd_post neutron-dhcp-agent.service
%systemd_post neutron-l3-agent.service
%systemd_post neutron-metadata-agent.service
%systemd_post neutron-server.service
%systemd_post neutron-netns-cleanup.service
%systemd_post neutron-ovs-cleanup.service


%preun
%systemd_preun neutron-dhcp-agent.service
%systemd_preun neutron-l3-agent.service
%systemd_preun neutron-metadata-agent.service
%systemd_preun neutron-server.service
%systemd_preun neutron-netns-cleanup.service
%systemd_preun neutron-ovs-cleanup.service


%postun
%systemd_postun_with_restart neutron-dhcp-agent.service
%systemd_postun_with_restart neutron-l3-agent.service
%systemd_postun_with_restart neutron-metadata-agent.service
%systemd_postun_with_restart neutron-server.service


%post linuxbridge
%systemd_post neutron-linuxbridge-agent.service
oldconf=%{_sysconfdir}/%{service}/plugins/linuxbridge/linuxbridge_conf.ini
newconf=%{_sysconfdir}/%{service}/plugins/ml2/linuxbridge_agent.ini
if [ $1 -gt 1 ]; then
    if [ -e $oldconf ]; then
        # Imitate noreplace
        cp $newconf ${newconf}.rpmnew
        cp $oldconf $newconf
    fi
fi


%preun linuxbridge
%systemd_preun neutron-linuxbridge-agent.service


%postun linuxbridge
%systemd_postun_with_restart neutron-linuxbridge-agent.service


%post mellanox
%systemd_post neutron-mlnx-agent.service


%preun mellanox
%systemd_preun neutron-mlnx-agent.service


%postun mellanox
%systemd_postun_with_restart neutron-mlnx-agent.service


%post openvswitch
%systemd_post neutron-openvswitch-agent.service
oldconf=%{_sysconfdir}/%{service}/plugins/openvswitch/ovs_neutron_plugin.ini
newconf=%{_sysconfdir}/%{service}/plugins/ml2/openvswitch_agent.ini
if [ $1 -gt 1 ]; then
    if [ -e $oldconf ]; then
        # Imitate noreplace
        cp $newconf ${newconf}.rpmnew
        cp $oldconf $newconf
    fi
fi


%preun openvswitch
%systemd_preun neutron-openvswitch-agent.service


%postun openvswitch
%systemd_postun_with_restart neutron-openvswitch-agent.service


%post metering-agent
%systemd_post neutron-metering-agent.service


%preun metering-agent
%systemd_preun neutron-metering-agent.service


%postun metering-agent
%systemd_postun_with_restart neutron-metering-agent.service


%post sriov-nic-agent
%systemd_post neutron-sriov-nic-agent.service


%preun sriov-nic-agent
%systemd_preun neutron-sriov-nic-agent.service


%postun sriov-nic-agent
%systemd_postun_with_restart neutron-sriov-nic-agent.service


%files
%license LICENSE
%{_bindir}/neutron-db-manage
%{_bindir}/neutron-debug
%{_bindir}/neutron-dhcp-agent
%{_bindir}/neutron-ipset-cleanup
%{_bindir}/neutron-keepalived-state-change
%{_bindir}/neutron-l3-agent
%{_bindir}/neutron-metadata-agent
%{_bindir}/neutron-netns-cleanup
%{_bindir}/neutron-ns-metadata-proxy
%{_bindir}/neutron-ovs-cleanup
%{_bindir}/neutron-pd-notify
%{_bindir}/neutron-sanity-check
%{_bindir}/neutron-server
%{_bindir}/neutron-usage-audit
%{_prefix}/lib/ocf/lib/neutron/neutron-netns-cleanup
%{_prefix}/lib/ocf/lib/neutron/neutron-ovs-cleanup
%{_prefix}/lib/ocf/resource.d/neutron/NetnsCleanup
%{_prefix}/lib/ocf/resource.d/neutron/OVSCleanup
%{_prefix}/lib/ocf/resource.d/neutron/NeutronScale
%{_unitdir}/neutron-dhcp-agent.service
%{_unitdir}/neutron-l3-agent.service
%{_unitdir}/neutron-metadata-agent.service
%{_unitdir}/neutron-server.service
%{_unitdir}/neutron-netns-cleanup.service
%{_unitdir}/neutron-ovs-cleanup.service
%attr(-, root, %{service}) %{_datadir}/%{service}/api-paste.ini
%dir %{_datadir}/%{service}/l3_agent
%dir %{_datadir}/%{service}/server
%{_datadir}/%{service}/l3_agent/*.conf
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/dhcp_agent.ini
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/l3_agent.ini
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/metadata_agent.ini
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/policy.json
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-dhcp-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-l3-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-metadata-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-server
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-netns-cleanup
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-ovs-cleanup


%files -n python-%{service}-tests
%license LICENSE
%{python2_sitelib}/%{service}/tests


%files -n python-%{service}
%license LICENSE
%{python2_sitelib}/%{service}
%{python2_sitelib}/%{service}-*.egg-info
%exclude %{python2_sitelib}/%{service}/tests


%files common
%license LICENSE
%doc README.rst
# though this script is not exactly needed on all nodes but for ovs and
# linuxbridge agents only, it's probably good enough to put it here
%{_bindir}/neutron-enable-bridge-firewall.sh
%{_bindir}/neutron-rootwrap
%{_bindir}/neutron-rootwrap-daemon
%{_bindir}/neutron-rootwrap-xen-dom0
%dir %{_sysconfdir}/%{service}
%{_sysconfdir}/%{service}/conf.d/README
%dir %{_sysconfdir}/%{service}/conf.d
%dir %{_sysconfdir}/%{service}/conf.d/common
%dir %{_sysconfdir}/%{service}/plugins
%attr(-, root, %{service}) %{_datadir}/%{service}/%{service}-dist.conf
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/%{service}.conf
%config(noreplace) %{_sysconfdir}/%{service}/rootwrap.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%{_sysconfdir}/sudoers.d/%{service}
%dir %attr(0755, %{service}, %{service}) %{_sharedstatedir}/%{service}
%dir %attr(0750, %{service}, %{service}) %{_localstatedir}/log/%{service}
%dir %{_datarootdir}/%{service}
%dir %{_datarootdir}/%{service}/rootwrap
%{_datarootdir}/%{service}/rootwrap/debug.filters
%{_datarootdir}/%{service}/rootwrap/dhcp.filters
%{_datarootdir}/%{service}/rootwrap/dibbler.filters
%{_datarootdir}/%{service}/rootwrap/ebtables.filters
%{_datarootdir}/%{service}/rootwrap/ipset-firewall.filters
%{_datarootdir}/%{service}/rootwrap/iptables-firewall.filters
%{_datarootdir}/%{service}/rootwrap/l3.filters


%files bigswitch
%license LICENSE
%{_bindir}/neutron-restproxy-agent
%dir %{_sysconfdir}/%{service}/plugins/bigswitch
%{_sysconfdir}/%{service}/plugins/bigswitch/ssl
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/bigswitch/*.ini


%files brocade
%license LICENSE
%doc %{service}/plugins/brocade/README.md
%dir %{_sysconfdir}/%{service}/plugins/brocade
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/brocade/*.ini
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/brocade/vyatta/*.ini


%files cisco
%license LICENSE
%dir %{_sysconfdir}/%{service}/plugins/cisco
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/cisco/*.ini


%files embrane
%license LICENSE
%doc %{service}/plugins/embrane/README
%dir %{_sysconfdir}/%{service}/plugins/embrane
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/embrane/*.ini


%files dev-server
%license LICENSE
%{_bindir}/neutron-dev-server
%{_unitdir}/neutron-dev-server.service
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-dev-server


%files linuxbridge
%license LICENSE
%{_bindir}/neutron-linuxbridge-agent
%{_unitdir}/neutron-linuxbridge-agent.service
%{_datarootdir}/%{service}/rootwrap/linuxbridge-plugin.filters
%dir %{_sysconfdir}/%{service}/plugins/ml2
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/ml2/linuxbridge_agent.ini
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-linuxbridge-agent
%{_sysctldir}/99-neutron-linuxbridge-agent.conf
%{_sysconfdir}/sysconfig/modules/neutron-linuxbridge-agent.modules


%files mellanox
%license LICENSE
%doc %{service}/plugins/ml2/drivers/mlnx/README
%{_bindir}/neutron-mlnx-agent
%{_unitdir}/neutron-mlnx-agent.service
%dir %{_sysconfdir}/%{service}/plugins/mlnx
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/mlnx/*.ini
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-mlnx-agent


%files ml2
%license LICENSE
%doc %{service}/plugins/ml2/README
%dir %{_sysconfdir}/%{service}/plugins/ml2
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/ml2/*.ini
%exclude %{_sysconfdir}/%{service}/plugins/ml2/linuxbridge_agent.ini
%exclude %{_sysconfdir}/%{service}/plugins/ml2/openvswitch_agent.ini


%files nuage
%license LICENSE
%{python2_sitelib}/%{service}/plugins/nuage
%dir %{_sysconfdir}/%{service}/plugins/nuage
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/nuage/*.ini


%files ofagent
%license LICENSE


%files oneconvergence-nvsd
%license LICENSE
%doc %{service}/plugins/oneconvergence/README
%dir %{_sysconfdir}/%{service}/plugins/oneconvergence
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/oneconvergence/*.ini
%{_bindir}/neutron-nvsd-agent


%files opencontrail
%license LICENSE
#%doc %{service}/plugins/opencontrail/README
%dir %{_sysconfdir}/%{service}/plugins/opencontrail
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/opencontrail/*.ini


%files openvswitch
%license LICENSE
%{_bindir}/neutron-openvswitch-agent
%{_unitdir}/neutron-openvswitch-agent.service
%{_datarootdir}/%{service}/rootwrap/openvswitch-plugin.filters
%dir %{_sysconfdir}/%{service}/plugins/ml2
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/ml2/openvswitch_agent.ini
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-openvswitch-agent
%{_sysctldir}/99-neutron-openvswitch-agent.conf
%{_sysconfdir}/sysconfig/modules/neutron-openvswitch-agent.modules


%files ovsvapp
%license LICENSE
%{_bindir}/neutron-ovsvapp-agent
# TODO: add a systemd unit file
%dir %{_sysconfdir}/%{service}/plugins/ovsvapp
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/ovsvapp/*.ini


%files metering-agent
%license LICENSE
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/metering_agent.ini
%{_unitdir}/neutron-metering-agent.service
%{_bindir}/neutron-metering-agent
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-metering-agent


%files rpc-server
%license LICENSE
%{_bindir}/neutron-rpc-server
%{_unitdir}/neutron-rpc-server.service
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-rpc-server


%files sriov-nic-agent
%license LICENSE
%{_unitdir}/neutron-sriov-nic-agent.service
%{_bindir}/neutron-sriov-nic-agent
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/ml2/sriov_agent.ini
%dir %{_sysconfdir}/%{service}/conf.d/%{service}-sriov-nic-agent


%changelog
* Tue Sep 19 2017 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-23
- Make use of -w argument for iptables calls (rhbz#1489072)
- Don't depend on translated strings for error check (rhbz#1489072)

* Thu Sep 07 2017 Jakub Libosvar <libosvar@redhat.com> 1:7.2.0-22
- Skip larger than /64 subnets in DHCP agent (rhbz#1484903)

* Tue Aug 29 2017 venkata anil <anilvenkata@redhat.com> 1:7.2.0-21
- Fix test_keepalived_ipv6_support for Keepalived v1.2.20, rhbz#1484283
- Functional tests: change assert to wait_until_true

* Wed Aug 16 2017 Jason Joyce <jjoyce@redhat.com> 1:7.2.0-20
- Re-adding python-PyMySQL as a test dependency rhbz#1328109

* Wed Aug 16 2017 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-19
- Clean up more missing dependencies, rhbz#1328109

* Wed Aug 16 2017 Jason Joyce <jjoyce@redhat.com> 1:7.2.0-18
- Removing test requirement on python-PyMySQL, rhbz#1328109

* Wed Aug 16 2017 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-17
- Yanked minimal versions for pyMySQL and webtest, rhbz#1328109

* Mon Aug 14 2017 Assaf Muller <amuller@redhat.com> 1:7.2.0-16
- Do not accept abbreviated CIDRs, rhbz#1478378
- Fix typo in l3-agent test

* Fri Jul 21 2017 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-15
- Enable bridge firewalling on platform level, rhbz#1474118

* Fri Jul 21 2017 Venkata Anil Kommaddi <vkommadi@redhat.com> 1:7.2.0-14
- Added new tests requirements, rhbz#1328109

* Fri Jul 21 2017 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-13
- Wait 2 seconds between gratuitous ARP updates instead of 1 second (rhbz#1452885)

* Fri Jul 21 2017 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-12.1
- Enable bridge firewalling on platform level, rhbz#1474118

* Tue Jun 13 2017 Venkata Anil Kommaddi <vkommadi@redhat.com> 1:7.2.0-12
- Avoid router ri.process if initialize() fails, rhbz#1437813

* Mon Jun 05 2017 Bernard Cafarelli <bcafarel@redhat.com> 1:7.2.0-11
- Neutron versions api now has its own middleware pipeline, rhbz#1451496

* Wed May 17 2017 Bernard Cafarelli <bcafarel@redhat.com> 1:7.2.0-10
- Add http_proxy_to_wsgi to api-paste, rhbz#1451496

* Wed May 17 2017 Venkata Anil Kommaddi <vkommadi@redhat.com> 1:7.2.0-9
- Get rid of delete_subnet method in ML2, rhbz#1431026
- l2pop fdb flows for HA router ports, rhbz#1395532

* Mon Apr 10 2017 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-8
- Dropped "Fix DetachedInstanceError on subnet delete", rhbz#1440908

* Wed Apr 05 2017 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-7
- Throttle SIGHUPs to keepalived, rhbz#1371948

* Tue Mar 28 2017 Daniel Alvarez <dalvarez@redhat.com> 1:7.2.0-6
- DHCP: enhance DHCPAgent startup procedure (rhbz#1433256)
- Fix DetachedInstanceError on subnet delete
- LinuxBridge: Pass host into get_devices_details_list (rhbz#1398533)
- Adding state_change_server_threads to l3_agent.ini

* Fri Nov 18 2016 Jakub Libosvar <libosvar@redhat.com> 1:7.2.0-5.el7
- Make keepalived add_vip idempotent
- Avoid duplicate ipset processing for security groups

* Tue Nov 15 2016 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-4
- Update metadata proxy when subnet add/delete (rhbz#1367947)
- Add 169.254.169.254 when enable force_metadata
- Move class properties to instances for dhcp tests

* Tue Nov 15 2016 Miguel Angel Ajo <majopela@redhat.com> 1:7.2.0-3
- reset provider network bridges to standalone mode, rhbz#1394894

* Wed Nov 09 2016 Venkata Anil Kommaddi <vkommadi@redhat.com> 1:7.2.0-2
- pstree is added as a dependency to the tests package, rhbz#1392909

* Fri Nov 04 2016 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.2.0-1
- Update to 7.2.0, rhbz#1390529

* Tue Oct 11 2016 Jakub Libosvar <libosvar@redhat.com> 1:7.1.1-9
- Ignore gre0 and gretap0 devices in netns cleanup script, rhbz#1382721

* Thu Oct 6 2016 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.1.1-8
- Load br_netfilter if present for iptables aware agents, rhbz#1382413

* Fri Sep 23 2016 Hynek Mlnarik <hmlnarik@redhat.com> 1:7.1.1-7
- ml2: allow retry on retriabable db error by precommit, rhbz#1377518
- Check for StaleData errors in retry decorator, rhbz#1377518
- Support for MultipleExceptions in db_api decorators, rhbz#1377518
- Convert multiple exception types in the API, rhbz#1377518

* Wed Sep 14 2016 Hynek Mlnarik <hmlnarik@redhat.com> 1:7.1.1-6
- Set secure fail mode for physical bridges, rhbz#1372370

* Mon Aug 29 2016 John Schwarz <jschwarz@redhat.com> 1:7.1.1-5
- Don't use exponential back-off for report_state, rhbz#1365378

* Fri Jul 29 2016 Bernard Cafarelli <bcafarel@redhat.com> 1:7.1.1-4
- Move state reporting initialization to after worker forking, rhbz#1339014
- Add ALLOCATING state to routers, rhbz#1281254
- Make L3 HA interface creation concurrency safe, rhbz#1360352
- Catch DBReferenceError in HA router race conditions, rhbz#1281254

* Mon Jul 11 2016 Nir Magnezi <nmagnezi@redhat.com> 1:7.1.1-2
- Remove midonet plugin, rhbz#1350401

* Sun Jul 10 2016 Nir Magnezi <nmagnezi@redhat.com> 1:7.1.1-1
- Update to 7.1.1, rhbz#1350401

* Sat Jul 02 2016 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.4-11.el7
- Linux Bridge: Add mac spoofing filtering to ebtables, rhbz#1350652

* Sat Jul 02 2016 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.4-10.el7
- OVS: Add mac spoofing filtering to flows (rhbz#1350652)

* Thu Jun 30 2016 Hynek Mlnarik <hmlnarik@redhat.com> 1:7.0.4-9
- IPtables firewall prevent ICMPv6 spoofing, rhbz#1350658
- Iptables firewall prevent IP spoofed DHCP requests, rhbz#1350646

* Fri Jun 24 2016 Jakub Libosvar <libosvar@redhat.com> 1:7.0.4-8
- Revert "Revert "Remove threading before process forking"", rhbz#1330778
- Consume service plugins queues in RPC workers., rhbz#1330778

* Wed Jun 15 2016 Hynek Mlnarik <hmlnarik@redhat.com> 1:7.0.4-7
- Fix for 'ofport' query retries during neutron agent start, rhbz#1340717
- Cleanup stale OVS flows for physical bridges, rhbz#1340717
- Don't disconnect br-int from phys br if connected, rhbz#1340717
- Don't delete br-int to br-tun patch on startup, rhbz#1340717
- Fix setting peer to bridge interfaces, rhbz#1341958

* Tue Jun 14 2016 Jakub Libosvar <libosvar@redhat.com> 1:7.0.4-6
- Removed neutronclient option from metadata agent, rhbz#1340097

* Mon Jun 06 2016 Jakub Libosvar <jlibosva@redhat.com> - 1:7.0.4-5
- Require openvswitch service when ovs-agent starts, rhbz#1308639

* Mon Jun 06 2016 Jakub Libosvar <libosvar@redhat.com> 1:7.0.4-4
- Add network_update RPC into SR-IOV agent, rhbz#1299557

* Thu Apr 21 2016 Nir Magnezi <nmagnezi@redhat.com> 1:7.0.4-3
- openstack-neutron-common should require shadow-utils, rhbz#1322522

* Wed Apr 20 2016 Nir Magnezi <nmagnezi@redhat.com> 1:7.0.4-2
- Neutron ovs, linuxbridge and metering agents should require ipset and iptables, rhbz#1328772

* Wed Apr 13 2016 Nir Magnezi <nmagnezi@redhat.com> 1:7.0.4-1
- Update to 7.0.4, rhbz#1325806

* Thu Mar 31 2016 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.1-15
- port security: gracefully handle resources with no bindings, rhbz#1322065
- Move test_extend_port_dict_no_port_security to where it belongs to, rhbz#1322065

* Thu Mar 24 2016 Jakub Libosvar <libosvar@redhat.com> 1:7.0.1-14
- Add the rebinding chance in _bind_port_if_needed, rhbz#1255037

* Fri Mar 04 2016 Arie Bregman <abregman@redhat.com> 1:7.0.1-13
- Check missed ip6tables utility, rhbz#1252690

* Fri Mar 04 2016 Arie Bregman <abregman@redhat.com> 1:7.0.1-12
- Check missed IPSet utility using neutron-sanity-check, rhbz#1252690

* Thu Mar 03 2016 Arie Bregman <abregman@redhat.com> 1:7.0.1-11
- Fix sanity check --no* BoolOpts, rhbz#1252690
- Make object creation methods in l3_hamode_db atomic, rhbz#1281254

* Thu Feb 18 2016 Jakub Libosvar <libosvar@redhat.com> 1:7.0.1-10
- Postpone heavy policy check for ports to later

* Wed Feb 03 2016 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.1-9
- Fix floatingip status for an HA router, rhbz#1284739

* Thu Jan 21 2016 Nir Magnezi <nmagnezi@redhat.com> 1:7.0.1-8
- Fix L3 HA with IPv6, rhbz#1222775

* Thu Jan 21 2016 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.1-7
- Make security_groups_provider_updated work with Kilo agents, rhbz#1300308

* Thu Jan 14 2016 John Schwarz <jschwarz@redhat.com> 1:7.0.1-6
- Support migrating of legacy routers to HA and back, rhbz#1295690

* Thu Jan 07 2016 Arie Bregman <abregman@redhat.com> 1:7.0.1-5
- Added python-ryu requirement, rhbz#1286817

* Wed Jan 06 2016 Nir Magnezi <nmagnezi@redhat.com> 1:7.0.1-4
- Catch known exceptions during deleting last HA router, rhbz#1293381

* Tue Jan 05 2016 Arie Bregman <abregman@redhat.com> 1:7.0.1-3
- Batch db segment retrieval, rhbz#1292167
- Separate rbac calculation from _make_network_dict, rhbz#1292179
- Add compatibility with iproute2 >= 4.0, rhbz#1291580

* Thu Dec 17 2015 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.1-2
- Kill the vrrp orphan process when (re)spawn keepalived, rhbz#1287736
- Skip keepalived_respawns test, rhbz#1287736

* Wed Dec 16 2015 Miguel Angel Ajo <majopela@redhat.com> 1:7.0.1-1
- Rebased on top of upstream stable 7.0.1, rhbz#1289994

* Wed Nov 25 2015 Nir Magnezi <nmagnezi@redhat.com> 1:7.0.0-5
- Add vhost-user support via ovs capabilities/datapath_type, rhbz#1266070
- Properly handle segmentation_id in OVS agent, rhbz#1283623

* Mon Nov 16 2015 Mike Burns <mburns@redhat.com> 1:7.0.0-4
- Switch to post-versioning rhbz#1252690
- Revert "modify setup.cfg to undo setuptools munging"

* Thu Nov 12 2015 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.0-3.el7
- ovs agent: wait until network.service is up
- fixed pbr version override with rpm package version
- add ebtables dependency to linuxbridge agent

* Mon Oct 19 2015 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.0-2.el7
- Update the path to the ovs plugin configuration, rhbz#1270325
- Fix netns-cleanup not killing radvd or keepalived rhbz#1268244 rhbz#1175251
- Add systemd units for new neutron server flavours

* Mon Oct 19 2015 Alan Pevec <alan.pevec@redhat.com> 1:7.0.0-1
- Update to 7.0.0

* Thu Oct 08 2015 Alan Pevec <alan.pevec@redhat.com> 1:7.0.0-0.5.0rc2
- Update to upstream 7.0.0.0rc2

* Wed Sep 30 2015 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.0-0.2.0rc1.el7
- Update to upstream 7.0.0.0rc1

* Wed Sep 16 2015 Ihar Hrachyshka <ihrachys@redhat.com> 1:7.0.0-0.1.0b3.el7
- Update to upstream 7.0.0.0b3

* Wed Sep 16 2015 Ihar Hrachyshka <ihrachys@redhat.com> - 7.0-0.1b3
- Bump to Liberty M3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2015.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 30 2015 Alan Pevec <alan.pevec@redhat.com> 2015.1.0-1
- OpenStack Kilo release
